com.opensymphony.xwork2.ognl.accessor

## Class XWorkIteratorPropertyAccessor

- java.lang.Object
- - ognl.ObjectPropertyAccessor
  - - ognl.IteratorPropertyAccessor
    - - com.opensymphony.xwork2.ognl.accessor.XWorkIteratorPropertyAccessor

- All Implemented Interfaces:
    ognl.PropertyAccessor

      public class XWorkIteratorPropertyAccessor
      extends ognl.IteratorPropertyAccessor

  Author:
    plightbo

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `XWorkIteratorPropertyAccessor()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `setProperty(Map context, Object target, Object name, Object value)`

    - ### Methods inherited from class ognl.IteratorPropertyAccessor

      `getProperty`

    - ### Methods inherited from class ognl.ObjectPropertyAccessor

      `getPossibleProperty, getPropertyClass, getSourceAccessor, getSourceSetter, hasGetProperty, hasGetProperty, hasSetProperty, hasSetProperty, setPossibleProperty`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface ognl.PropertyAccessor

      `getSourceAccessor, getSourceSetter`

- - ### Constructor Detail

    - #### XWorkIteratorPropertyAccessor

          public XWorkIteratorPropertyAccessor()

  - ### Method Detail

    - #### setProperty

          public void setProperty(Map context,
                                  Object target,
                                  Object name,
                                  Object value)
                           throws ognl.OgnlException

      Specified by:
        `setProperty` in interface `ognl.PropertyAccessor`
      Overrides:
        `setProperty` in class `ognl.IteratorPropertyAccessor`
      Throws:
        `ognl.OgnlException`

Copyright © 2000–2023 Apache Software Foundation. All rights reserved.